Bug Hunting Session
Bug 76937 - In the Style dialog of lists/numbering styles, the layout of Position controls is haphazard and confusing
Summary: In the Style dialog of lists/numbering styles, the layout of Position control...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
4.2.0.2 rc
Hardware: Other All
: medium major
Assignee: Not Assigned
URL:
Whiteboard: target:4.4.0
Keywords:
Depends on:
Blocks: Bullet-Numbering-Dialog
  Show dependency treegraph
 
Reported: 2014-04-02 09:22 UTC by narayanaras
Modified: 2018-10-05 02:52 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Please view in SlideShow mode only! (78.34 KB, application/vnd.oasis.opendocument.presentation)
2014-04-04 05:42 UTC, narayanaras
Details
Sample to show what changes are needed (60.51 KB, application/vnd.oasis.opendocument.text)
2014-11-21 18:07 UTC, narayanaras
Details

Note You need to log in before you can comment on or make changes to this bug.
Description narayanaras 2014-04-02 09:22:42 UTC
1. Press F11 to view the "Style & Formatting" dialog.
2. Click on the "List styles" button
3. Select any existing style and right-click.
4. From the context menu, select the "Modify..." (or "New...") option.
5. The numbering style editor dialog opens. Switch to the "Position" tab.
6. There are several problems here:

(a) The level list and the controls look like two columns of the same table. 
    In other words, level#1 corresponds to "Numbering followed by" entry.
    Similarly, level#5/6 corresponds to the "Numbering alignment" entry.

(b) The labels and actual controls are placed far too apart (there's a huge gap)

(c) The controls are not placed in the correct sequence of their use.

(d) They are not functionally grouped.

As a result, the layout is extremely confusing and difficult to use.

I have made a video that shows these problems and suggested layout.
https://drive.google.com/file/d/0BwlATzWr1zTObFFJcUxycG9mY0U/edit?usp=sharing

To keep its size small, I have inserted a "Pause" symbol at certain points.
Please pause the video at these points and pay attention to finer details.

Please download and confirm, so that I can removed the video from my drive.
(I do not intend to keep the video forever on my Google drive)
Comment 1 Adolfo Jayme 2014-04-03 08:59:04 UTC
Impressive job with the analysis and the video ;-)

Adding Caolán to this bug’s CC list.
Comment 2 narayanaras 2014-04-03 09:41:53 UTC
Thanks! Watch out for my other videos too! :D
(I have raised several bugs)
Comment 3 narayanaras 2014-04-04 05:42:53 UTC
Created attachment 96885 [details]
Please view in SlideShow mode only!

On second thoughts, I made the same presentation as a slide show, with a tiny file size. (Attaching)
Comment 4 V Stuart Foote 2014-04-04 15:27:24 UTC
Absolutely, this is a worth while UX change! Very nicely presented.

But, where do things stand for a conversion to UI for the Styles & Formatting dialog, is that already in the queue for anyone? Movement on that would impact (need/method) of doing this UX change. Implementing in GTK+ UI would probably take care of the positioning the layout and then just the sequence of the controls would still need to be changed.
Comment 5 narayanaras 2014-04-04 16:06:22 UTC
Two points: 

1. I have changed the text for each control also (not only the sequence)
2. The movie does not show a rectangle around the "Level" section and "Controls" section. But later on I thought that making such an outline would effectively separate the two groups. (See the odp file for illustration).
Comment 6 Olivier Hallot 2014-04-04 20:30:48 UTC
One of the advantages of having migrated the dialogs into GTK widgets was the possibility to use Glade, the tool to build the dialogs of GTK and to position widgets in the real-state of the dialog.

Better, you ca do it on the fly in any recent LibreOffice release by just editing the proper .ui file in glade and see the results on refresing the dialog.

The file that contains the refered tab page is this:

<install>/share/config/soffice.cfg/modules/swriter/ui/outlinepositionpage.ui

where <install> is where LibreOffice is installed in your computer.

You can move the widgets in the yard, but you can't add or remove any of them.

Once you get it done and working, you can submit a patch.
Comment 7 Cor Nouws 2014-04-06 19:03:01 UTC
Thanks narayanaras, I really like your suggestion.
Cor
Comment 8 narayanaras 2014-04-07 05:31:14 UTC
Note that the next tab in the dialog box ("Options") also has similar issues.
(see Bug#77115)
Comment 9 narayanaras 2014-04-07 11:09:04 UTC
From the previous comments, I am guessing that it has attracted attention of coders who know how to apply a quick-fix.

Given this, I would like to draw their attention to a similar issue elsewhere that can be resolved quickly: Please check out Bug#52335.

Thanks in advance!
Comment 10 narayanaras 2014-04-07 11:12:26 UTC
Forgot to mention that I have added an animated presentation to show the problem and the proposed solution. So please skip the long description and just view the second attachment posted today (an odp file) in slideshow mode.
Comment 11 Commit Notification 2014-11-18 09:24:14 UTC
Adolfo Jayme Barrientos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1d9b9df02d36f3a4135480902e1517501bede6c4

fdo#76937 Improve organization and layout in Position tabs

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Adolfo Jayme 2014-11-18 10:13:40 UTC
I’ve reorganized the controls following your slideshow. I didn’t change the labels yet, but will do later. Please download a daily build and let me know your feedback.
Comment 13 Cor Nouws 2014-11-18 21:06:17 UTC
(In reply to Adolfo Jayme from comment #12)
> I’ve reorganized the controls following your slideshow. I didn’t change the
> labels yet, but will do later. Please download a daily build and let me know
> your feedback.

Thanks so far. Is it OK to set reopened, since you are not yet finished?

I was confused by the summary of the bug, so changed that too.
Comment 14 Adolfo Jayme 2014-11-18 21:11:45 UTC
(I’ve also fixed the equivalent tab in Outline Numbering, for the record.)

I am still deciding what would be the best nomenclature for the controls, but at least the layout and ordering was fixed, which was the main request of this bug; that’s why I set this to fixed. But yeah, it’s fine...
Comment 15 Cor Nouws 2014-11-18 22:33:04 UTC
(In reply to Adolfo Jayme from comment #14)

> I am still deciding what would be the best nomenclature for the controls,

Feel free to post ideas for feed back :)
Comment 16 narayanaras 2014-11-19 05:10:13 UTC
Adolfo Jayme, thanks a ton for these change!
I have posted other usability issues that may interest you as well! :)

I am unable to locate the daily, as there are many versions available.

This site-
http://dev-builds.libreoffice.org/daily/libreoffice-4-3/

...has two subfolders:

Win-x86@42/  
Win-x86@51-TDF/    

Which one should I pick?
What do "@42" and "@51" and "TDF" stand for?

I have 64-bit Windows 8.1 at home and 32-bit Windows 7 at work.

Thanks in advance!
Comment 17 V Stuart Foote 2014-11-19 15:19:11 UTC
(In reply to narayanaras from comment #16)
> Which one should I pick?
> What do "@42" and "@51" and "TDF" stand for?
Those are the agreed notation designating the Tenderbox build bot posting the build.  See the Wiki here: https://wiki.documentfoundation.org/Development/Tinderbox

The -TDF designator "The Document Foundation" is assigned to Officialy sponsored TDF Tinderbox(s) that build using the projects release build system(s)--closest to what would eventually be released. TB-51 uses VS2013, TB-47 is still on VS2010 I beleive.

If working with current changes you likely will want to install builds of the master branch http://dev-builds.libreoffice.org/daily/master/

TB@39 builds Windows Debug builds, and hosts corresponding symbols libraries to run WinDbg against. Otherwise TB@42, TB@47 or TB@51 are all about the same--use which ever has a recent build.

Unfortunately, the Windows TB's have been off line for a week because of an issue with packaging the builds. So, to see anything current you would need to spin up a Linux VM and install a current build of master against that--TB@45 or TB@46.
Comment 18 V Stuart Foote 2014-11-19 15:21:59 UTC
@narayanaras,

Sorry, should have mentioned how to do the installations in parallel, so that a development build does not clobber your stable release build. 

See this Wiki-- https://wiki.documentfoundation.org/Installing_in_parallel
Comment 19 narayanaras 2014-11-20 02:25:24 UTC
I got a Windows version that looks to be latest.

Here's the text from its Help>About: 

Version: 4.3.5.0.0+
Build ID: b4840d3632e4404bee4bd192a7db916cbad3a401
TinderBox: Win-x86@42, Branch:libreoffice-4-3, Time: 2014-11-19_11:59:54

It still has the old layout.

Looks like I'll have to wait! :(
Comment 20 Adolfo Jayme 2014-11-21 15:20:57 UTC
(In reply to narayanaras from comment #19)
> I got a Windows version that looks to be latest.
>
> Version: 4.3.5.0.0+

Note that this was pushed to branch “master” (4.4) and not “libreoffice-4-3”. Also, this bug’s whiteboard indicates “target:4.4.0”.
Comment 21 narayanaras 2014-11-21 18:07:31 UTC
Created attachment 109812 [details]
Sample to show what changes are needed
Comment 22 narayanaras 2014-11-21 18:08:41 UTC
Got it!

Version: 4.5.0.0.alpha0+
TinderBox: Win-x86@51-TDF, Branch:MASTER, Time: 2014-11-21_10:18:18
****

I checked out the changes. Although there are changes, IMHO they are not sufficient:

1. move the “at” control to the previous line, (see my odp).
2. Separate the control-groups vertically (see my odp)
3. Insert the title "Preview" above the preview section
4. Visually separate the "Level" and " Position and grouping" groups 

(I am attaching a sample file).
Comment 23 narayanaras 2014-11-21 18:25:22 UTC
Another problem: The preview panel does not reflect the setting of the "Numbering alignment" control.

I hope you would be resolving Bug#77115 also (it's functionally related to this bug; and its solution is the same as what you have done here).

Thanks in advance!
Comment 24 Adolfo Jayme 2014-12-04 22:47:36 UTC
Apologies for not looking at this earlier, I’ve been very busy last month.

I will change the things you’ve requested, except for the “Preview” heading – we’ve been adding this to several other dialogs, but it only made them bulkier (see, e.g., bug 67395 and bug 73851). Also, it’s kind of obvious that these are previews ;-)
Comment 25 Xisco Faulí 2017-09-11 08:25:43 UTC
Dear developer,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 26 QA Administrators 2018-10-05 02:52:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug